Subject: Re: 2.6.24 BUG: soft lockup - CPU#X

From: Jarek Poplawski <[email-masked]>
Date: Fri, 28 Mar 2008 16:47:36 +0100

On Fri, Mar 28, 2008 at 04:29:53PM +0100, Jarek Poplawski wrote:
...
> But during this, now limited, time of qdisc_run() there is a contention
> for queue_lock and probably some additional cache updating because of
> this other enqueuing, which could be delayed especially if queue length
> is above some level.

...Hm... this would need some special treatment for RT traffic yet...

Jarek P.